import c4d
from c4d import gui
#Welcome to the world of Python


def main():
    c4d.StopAllThreads()
    obj = doc.GetActiveObject()
    objs = ()
    while obj != None: 
        objs = objs + (obj,)
        obj = obj.GetDown()

    clons = ()
    mgs = ()
    for i in range(len(objs)-1,-1,-1):
        mgs = mgs + (objs[i].GetMg(),)
        clons = clons + (objs[i].GetClone(),)
        
    for i in clons:
        if i.GetDown() != None: i.GetDown().Remove()

    doc.InsertObject(clons[0], objs[0].GetUp(), None)
    clons[0].SetMg(mgs[0])    

    for i in range(1,len(clons)):
        doc.InsertObject(clons[i], clons[i-1], None)
        clons[i].SetMg(mgs[i]) 

    for i in objs: i.Remove() 

    c4d.EventAdd()

if __name__=='__main__':
    main()